This endpoint returns trades for the current trading session. You may optionally limit results to trades at or after a given time using the from parameter.
GET https://www.asxenergy.com.au/api/trades
Exactly one of market, futures, or options must be provided in each request.
| Name | Type | Mandatory | Description |
|---|---|---|---|
| market | string |
YES (mutually exclusive with futures and options) | Accepted market codes: - au_electricity- au_electricity_options- nz_electricity- nz_electricity_options- au_gas- au_environmental- nz_environmentalEach market either shows futures or options data. |
| futures | string |
YES (mutually exclusive with market and options) | Accepted futures codes: - Initial code (e.g. BNH, EVJ) - Exact code (e.g. HNZ2026, GNU2025F) |
| options | string |
YES (mutually exclusive with market and futures) | Accepted options codes: - Initial code (e.g. BQZ, EAM2025) - Exact code (e.g. EAU20260018000, HSM20260009900C) |
| from | string |
NO | Optional time filter to limit the range of returned data. All trades from the specified time onward, including trades at the exact timestamp, will be returned. Format: HHmmss (e.g. 152500 for 15:25:00). |
| Status | When | Body |
|---|---|---|
400 |
Required filters are missing, conflicting, or otherwise invalid | {"error":"..."} |
403 |
Your token is not entitled to the requested market | {"error":"forbidden"} |
401429 |
Authentication failure or rate limit exceeded | See Data API overview |
The API supports CSV-formatted responses when requested via the Accept header. To receive data in CSV format, set the following header in your request:
Accept: text/csv
In CSV responses, block is represented as 1 or 0, corresponding for true and false.
| Name | Type | Mandatory | Description |
|---|---|---|---|
| last_trade | string |
YES | Time of last trade as HHmmss |
| last_update | string |
YES | Time of last update as HHmmss |
| date | string |
YES | Session date as yyyyMMdd |
| market, futures, or options | string |
YES | Echo of the filter used |
| trades | array |
YES | Trade data listed below |
trades array items:
| Name | Type | Notes |
|---|---|---|
| time | string |
Trade time as HHmmss |
| code | string |
Instrument code |
| volume | string |
Trade volume |
| price | string |
Trade price |
| block | boolean |
true if block trade |
Request with market filter:
GET https://www.asxenergy.com.au/api/trades?market=au_electricity&from=104303
JSON response:
{
"last_trade": "111610",
"last_update": "120225",
"date": "20250408",
"market": "au_electricity",
"trades": [
{
"time": "111938",
"code": "ENK2025",
"volume": "2",
"price": "140.00",
"block": false
},
{
"time": "111610",
"code": "BQU5",
"volume": "11",
"price": "110.25",
"block": true
}
]
}
CSV response:
time,code,volume,price,block
111938,ENK2025,2,140.00,0
111610,BQU5,11,110.25,1
Request with futures filter:
GET https://www.asxenergy.com.au/api/trades?futures=ENK
JSON response:
{
"last_trade": "111610",
"last_update": "111938",
"date": "20250408",
"futures": "ENK",
"trades": [
{
"time": "111938",
"code": "ENK2025",
"volume": "2",
"price": "140.00",
"block": false
}
]
}
CSV response:
time,code,volume,price,block
111938,ENK2025,2,140.00,0
Request with options filter:
GET https://www.asxenergy.com.au/api/trades?options=HNZ
JSON response:
{
"last_trade": "130102",
"last_update": "130102",
"date": "20250408",
"options": "HNZ",
"trades": [
{
"time": "130102",
"code": "HNZ20260007500P",
"volume": "25",
"price": "0.25",
"block": false
},
{
"time": "120545",
"code": "HNZ20260004000C",
"volume": "10",
"price": "80.00",
"block": true
}
]
}
CSV response:
time,code,volume,price,block
130102,HNZ20260007500P,25,0.25,0
120545,HNZ20260004000C,10,80.00,1